/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package mobirentdesktop.entities;

import connectors.NameConnector;
import peaconnector.SEAnnot;
import peaconnector.XmlSerializerSchemas;

/**
 *
 * @author Budai Attila 
 */
@ClassNameConnector(guiName = "Transportet")
@XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "transporter"))
public class Transporter {

    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "id"))
    private String ID;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "name"))
    private String name;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "phone"))
    private String phone;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "userName"))
    private String userName;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "passCode"))
    private String passCode;

    public Transporter() {
    }

    public Transporter(String name, String phone, String userName, String passCode) {

        this.name = name;
        this.phone = phone;
        this.userName = userName;
        this.passCode = passCode;
    }

    @NameConnector(guiName = "Név")
    public String getName() {
        return name;
    }

    @NameConnector(guiName = "Telefonszám")
    public String getPhone() {
        return phone;
    }

    @NameConnector(guiName = "Felhasználó név")
    public String getUserName() {
        return userName;
    }

    @NameConnector(guiName = "Név")
    public void setName(String name) {
        this.name = name;
    }

    @NameConnector(guiName = "Telefonszám")
    public void setPhone(String phone) {
        this.phone = phone;
    }

    @NameConnector(guiName = "Felhasználó név")
    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getID() {
        return ID;
    }

    public String getPassCode() {
        return passCode;
    }

    public void setID(String ID) {
        this.ID = ID;
    }

    public void setPassCode(String passCode) {
        this.passCode = passCode;
    }
}
